diff --git a/rubygem-retriable/rubygem-retriable.spec b/rubygem-retriable/rubygem-retriable.spec
index 132309bda..da6ce0d67 100644
--- a/rubygem-retriable/rubygem-retriable.spec
+++ b/rubygem-retriable/rubygem-retriable.spec
@@ -14,22 +14,23 @@ URL: https://github.com/kamui/retriable
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Retriable is an simple DSL to retry a code block if an exception should be
@@ -40,6 +41,7 @@ file system calls.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -81,4 +83,3 @@ cp -a .%{gem_dir}/* \
 %changelog
 * Mon Nov 24 2014 Dominic Cleal <dcleal@redhat.com> 1.4.1-1
 - new package built with tito
-
diff --git a/rubygem-rkerberos/rubygem-rkerberos.spec b/rubygem-rkerberos/rubygem-rkerberos.spec
index 8a6bcf295..8f8d332ef 100644
--- a/rubygem-rkerberos/rubygem-rkerberos.spec
+++ b/rubygem-rkerberos/rubygem-rkerberos.spec
@@ -31,17 +31,18 @@ License: Artistic 2.0
 URL: http://github.com/domcleal/rkerberos
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 
-Requires: %{?scl_prefix}ruby
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}ruby
+Requires: %{?scl_prefix_ruby}rubygems
 
-BuildRequires: %{?scl_prefix}ruby
-BuildRequires: %{?scl_prefix}rubygems
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby-devel
 BuildRequires: krb5-devel
 #BuildRequires: %{?scl_prefix}rubygem-rake-compiler
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 #test
 #BuildRequires: %{?scl_prefix}rubygem(test-unit)
@@ -56,6 +57,7 @@ authentication protocol. It wraps the Kerberos C API.
 Summary: Documentation for rubygem-%{gem_name}
 Group: Documentation
 BuildArch: noarch
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 This package contains documentation for rubygem-%{gem_name}.
@@ -171,4 +173,3 @@ popd
 * Wed May 08 2013 Dominic Cleal <dcleal@redhat.com> 0.1.0-1
 - Initial 0.1.0 release
 - Add patch 103cea7d (Add credential cache argument to get_init_creds_keytab)
-
diff --git a/rubygem-rr/ruby193-rubygem-rr.spec b/rubygem-rr/ruby193-rubygem-rr.spec
index 1aa8e0dae..dd8a6fcfc 100644
--- a/rubygem-rr/ruby193-rubygem-rr.spec
+++ b/rubygem-rr/ruby193-rubygem-rr.spec
@@ -24,27 +24,28 @@ Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 Source1: http://s3.amazonaws.com/rubygem-rr/tests/v%{version}.tar.gz
 
 %if 0%{?fedora} >= 19
-Requires:       %{?scl_prefix}ruby(release)
+Requires:       %{?scl_prefix_ruby}ruby(release)
 %endif
 
 %if 0%{?fedora} >= 17 && 0%{?fedora} < 19
-Requires:      %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires:      %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
 
 %if 0%{?fedora} <= 17
-Requires: %{?scl_prefix}ruby(rubygems) 
+Requires: %{?scl_prefix_ruby}ruby(rubygems) 
 %endif
 
-BuildRequires: %{?scl_prefix}ruby-irb
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby-irb
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 # The following are for running test suite
-#BuildRequires: %{?scl_prefix}rubygem(minitest)
+#BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
 #BuildRequires: %{?scl_prefix}rubygem(session)
-#BuildRequires: %{?scl_prefix}rubygem(diff-lcs)
-#BuildRequires: %{?scl_prefix}rubygem(rspec)
+#BuildRequires: %{?scl_prefix_ruby}rubygem(diff-lcs)
+#BuildRequires: %{?scl_prefix_ruby}rubygem(rspec)
 
 %description
 RR (Double Ruby) is a test double framework that features a rich selection of
@@ -57,6 +58,7 @@ make it easier to test another object. Its like a stunt double for tests.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-rspec-rails/rubygem-rspec-rails.spec b/rubygem-rspec-rails/rubygem-rspec-rails.spec
index 621228960..0e8868fa9 100644
--- a/rubygem-rspec-rails/rubygem-rspec-rails.spec
+++ b/rubygem-rspec-rails/rubygem-rspec-rails.spec
@@ -17,34 +17,35 @@ Group: Development/Languages
 License: MIT
 URL: http://github.com/rspec/rspec-rails
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}rubygem(activesupport) => 3.0
-Requires: %{?scl_prefix}rubygem(activesupport) < 4
-Requires: %{?scl_prefix}rubygem(actionpack) => 3.0
-Requires: %{?scl_prefix}rubygem(actionpack) < 4
-Requires: %{?scl_prefix}rubygem(railties) => 3.0
-Requires: %{?scl_prefix}rubygem(railties) < 4
-Requires: %{?scl_prefix}rubygem(rspec) => 2.11.0
-Requires: %{?scl_prefix}rubygem(rspec) < 2.12
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}rubygem(activesupport) => 3.0
+Requires: %{?scl_prefix_ruby}rubygem(activesupport) < 4
+Requires: %{?scl_prefix_ruby}rubygem(actionpack) => 3.0
+Requires: %{?scl_prefix_ruby}rubygem(actionpack) < 4
+Requires: %{?scl_prefix_ruby}rubygem(railties) => 3.0
+Requires: %{?scl_prefix_ruby}rubygem(railties) < 4
+Requires: %{?scl_prefix_ruby}rubygem(rspec) => 2.11.0
+Requires: %{?scl_prefix_ruby}rubygem(rspec) < 2.12
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %if 0%{enable_test} > 0
-BuildRequires: %{?scl_prefix}rubygem(rspec) => 2.11.0
-BuildRequires: %{?scl_prefix}rubygem(rspec) < 2.12
-BuildRequires: %{?scl_prefix}rubygem(rails) => 3.0
-BuildRequires: %{?scl_prefix}rubygem(rails) < 4
-BuildRequires: %{?scl_prefix}rubygem(sqlite3)
+BuildRequires: %{?scl_prefix_ruby}rubygem(rspec) => 2.11.0
+BuildRequires: %{?scl_prefix_ruby}rubygem(rspec) < 2.12
+BuildRequires: %{?scl_prefix_ruby}rubygem(rails) => 3.0
+BuildRequires: %{?scl_prefix_ruby}rubygem(rails) < 4
+BuildRequires: %{?scl_prefix_ruby}rubygem(sqlite3)
 # because ZenTest is optional for rspec-core, but required here
 # (have been pulled by other dependencies with Ruby 1.8.7)
-BuildRequires: %{?scl_prefix}rubygem(ZenTest)
-BuildRequires: %{?scl_prefix}rubygem(minitest)
+BuildRequires: %{?scl_prefix_ruby}rubygem(ZenTest)
+BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
 BuildRequires: %{?scl_prefix}rubygem(ammeter)
 #BuildRequires: %{?scl_prefix}rubygem(cucumber)
 #BuildRequires: %{?scl_prefix}rubygem(aruba)
 %endif
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 RSpec-2 support for Rails-3
@@ -54,6 +55,7 @@ RSpec-2 support for Rails-3
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires:%{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 Documentation for %{pkg_name}
diff --git a/rubygem-ruby-libvirt/rubygem-ruby-libvirt.spec b/rubygem-ruby-libvirt/rubygem-ruby-libvirt.spec
index fc5dc88a8..6a4e6c354 100644
--- a/rubygem-ruby-libvirt/rubygem-ruby-libvirt.spec
+++ b/rubygem-ruby-libvirt/rubygem-ruby-libvirt.spec
@@ -13,14 +13,15 @@ Group: Development/Languages
 License: LGPLv2+
 URL: http://libvirt.org/ruby/
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-Requires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-BuildRequires: %{?scl_prefix}rubygems-devel 
-BuildRequires: %{?scl_prefix}ruby
-BuildRequires: %{?scl_prefix}ruby-devel
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel 
+BuildRequires: %{?scl_prefix_ruby}ruby
+BuildRequires: %{?scl_prefix_ruby}ruby-devel
 BuildRequires: libvirt-devel
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Ruby bindings for libvirt.
@@ -30,6 +31,7 @@ Ruby bindings for libvirt.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-ruby2ruby/rubygem-ruby2ruby.spec b/rubygem-ruby2ruby/rubygem-ruby2ruby.spec
index b79359463..c8d351aa9 100644
--- a/rubygem-ruby2ruby/rubygem-ruby2ruby.spec
+++ b/rubygem-ruby2ruby/rubygem-ruby2ruby.spec
@@ -19,26 +19,27 @@ Requires: %{?scl_prefix}rubygem(sexp_processor) >= 4.0
 Requires: %{?scl_prefix}rubygem(sexp_processor) < 5.0
 Requires: %{?scl_prefix}rubygem(ruby_parser) >= 3.1
 Requires: %{?scl_prefix}rubygem(ruby_parser) < 4.0
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygem(minitest)
+BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
 BuildRequires: %{?scl_prefix}rubygem(sexp_processor) >= 4.0
 BuildRequires: %{?scl_prefix}rubygem(sexp_processor) < 5.0
 BuildRequires: %{?scl_prefix}rubygem(ruby_parser) >= 3.1
 BuildRequires: %{?scl_prefix}rubygem(ruby_parser) < 4.0
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 ruby2ruby provides a means of generating pure ruby code easily from
@@ -50,6 +51,7 @@ Summary: Documentation for %{pkg_name}
 Group: Documentation
 
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 This package contains documentation for %{pkg_name}.
diff --git a/rubygem-ruby_parser/rubygem-ruby_parser.spec b/rubygem-ruby_parser/rubygem-ruby_parser.spec
index 8d3d58c70..23c88e77c 100644
--- a/rubygem-ruby_parser/rubygem-ruby_parser.spec
+++ b/rubygem-ruby_parser/rubygem-ruby_parser.spec
@@ -19,23 +19,24 @@ Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 Source1: pt_testcase.rb
 Requires: %{?scl_prefix}rubygem(sexp_processor) >= 4.1
 Requires: %{?scl_prefix}rubygem(sexp_processor) < 5.0
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = 1.9.1
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygem(minitest)
+BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
 BuildRequires: %{?scl_prefix}rubygem(sexp_processor) >= 4.1
 BuildRequires: %{?scl_prefix}rubygem(sexp_processor) < 5.0
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 ruby_parser (RP) is a ruby parser written in pure ruby (utilizing
@@ -48,6 +49,7 @@ Summary: Documentation for %{pkg_name}
 Group: Documentation
 
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 This package contains documentation for %{pkg_name}.
diff --git a/rubygem-rubyforge/rubygem-rubyforge.spec b/rubygem-rubyforge/rubygem-rubyforge.spec
index 453080d8a..1a9619623 100644
--- a/rubygem-rubyforge/rubygem-rubyforge.spec
+++ b/rubygem-rubyforge/rubygem-rubyforge.spec
@@ -16,10 +16,10 @@ License:       MIT
 URL:           http://rubyforge.org/projects/codeforpeople
 Source0:       http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
 BuildRoot:     %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Requires:      %{?scl_prefix}ruby(abi) = 1.9.1
-Requires:      %{?scl_prefix}rubygems
-Requires:      %{?scl_prefix}rubygem(json) >= 1.1.7
-BuildRequires: %{?scl_prefix}rubygems-devel
+Requires:      %{?scl_prefix_ruby}ruby(abi) = 1.9.1
+Requires:      %{?scl_prefix_ruby}rubygems
+Requires:      %{?scl_prefix_ruby}rubygem(json) >= 1.1.7
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 %if %{enable_test}
 BuildRequires(check): rubygem(rake)
 BuildRequires(check): rubygem(json)
@@ -28,6 +28,7 @@ BuildRequires(check): rubygem(hoe)
 %endif
 BuildArch:     noarch
 Provides:      %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 A script which automates a limited set of rubyforge operations.
diff --git a/rubygem-rubyipmi/rubygem-rubyipmi.spec b/rubygem-rubyipmi/rubygem-rubyipmi.spec
index d5d055651..aacf7a444 100644
--- a/rubygem-rubyipmi/rubygem-rubyipmi.spec
+++ b/rubygem-rubyipmi/rubygem-rubyipmi.spec
@@ -12,20 +12,21 @@ License: LGPLv2.1
 URL: http://github.com/logicminds/rubyipmi
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18 || 0%{?rhel} >= 7
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 Requires: ipmitool
 %if 0%{?fedora} > 18 || 0%{?rhel} >= 7
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 This gem is a ruby wrapper for the freeipmi and ipmitool command line tools. It
@@ -36,6 +37,7 @@ connect to BMC devices from ruby.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -105,4 +107,3 @@ cp -a .%{gem_dir}/* \
 
 * Wed Jul 03 2013 Dominic Cleal <dcleal@redhat.com> 0.5.1-1
 - new package built with tito
-
diff --git a/rubygem-safemode/rubygem-safemode.spec b/rubygem-safemode/rubygem-safemode.spec
index b7f1b583a..ce1d7bf5b 100644
--- a/rubygem-safemode/rubygem-safemode.spec
+++ b/rubygem-safemode/rubygem-safemode.spec
@@ -13,23 +13,24 @@ License: MIT
 URL: http://github.com/svenfuchs/safemode
 Source0: https://rubygems.org/downloads/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 Requires: %{?scl_prefix}rubygem(ruby2ruby) >= 2.0.6
 Requires: %{?scl_prefix}rubygem(ruby_parser) >= 3.2.0
 Requires: %{?scl_prefix}rubygem(sexp_processor) >= 4.3.0
 
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 #BuildRequires: %{?scl_prefix}rubygem(jeweler) >= 1.8.3
-BuildRequires: %{?scl_prefix}rubygem(rake)
-BuildRequires: %{?scl_prefix}rubygem(rdoc)
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygem(rake)
+BuildRequires: %{?scl_prefix_ruby}rubygem(rdoc)
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(safemode) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 A library for safe evaluation of Ruby code based on RubyParser and Ruby2Ruby.
@@ -38,6 +39,7 @@ Provides Rails ActionView template handlers for ERB and Haml.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -135,4 +137,3 @@ rm %{buildroot}%{gem_instdir}/VERSION
 
 * Thu Aug 09 2012 Miroslav Suchý <msuchy@redhat.com> 1.0.1-2
 - new package built with tito
-
diff --git a/rubygem-sass/rubygem-sass.spec b/rubygem-sass/rubygem-sass.spec
index e839d4b58..792cbac83 100644
--- a/rubygem-sass/rubygem-sass.spec
+++ b/rubygem-sass/rubygem-sass.spec
@@ -14,15 +14,16 @@ Group: Development/Languages
 License: MIT
 URL: http://sass-lang.com/
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
-BuildRequires: %{?scl_prefix}rubygem(minitest)
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Sass makes CSS fun again. Sass is an extension of CSS3, adding
@@ -35,6 +36,7 @@ command line tool or a web-framework plugin.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-scaptimony/rubygem-scaptimony.spec b/rubygem-scaptimony/rubygem-scaptimony.spec
index c8702770e..f30f29362 100644
--- a/rubygem-scaptimony/rubygem-scaptimony.spec
+++ b/rubygem-scaptimony/rubygem-scaptimony.spec
@@ -22,24 +22,25 @@ URL: https://github.com/OpenSCAP/scaptimony
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 Requires: %{?scl_prefix}rubygem(openscap) >= 0.4.1
-Requires: %{?scl_prefix}rubygem(rails) >= 3.2.8
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}rubygem(rails) >= 3.2.8
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}rubygems
 Requires: %{?scl_prefix}rubygem-openscap >= 0.4.1
-Requires: %{?scl_prefix}rubygem-rails >= 3.2.8
-Requires: %{?scl_prefix}rubygem-rails < 1:3.3.0
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}rubygem-rails >= 3.2.8
+Requires: %{?scl_prefix_ruby}rubygem-rails < 1:3.3.0
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 SCAPtimony is SCAP storage and database server build on top
@@ -51,6 +52,7 @@ sealed server.
 Summary: Documentation for %{name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-scoped_search/rubygem-scoped_search.spec b/rubygem-scoped_search/rubygem-scoped_search.spec
index 0687fe93d..8d55a75bd 100644
--- a/rubygem-scoped_search/rubygem-scoped_search.spec
+++ b/rubygem-scoped_search/rubygem-scoped_search.spec
@@ -12,25 +12,26 @@ Group: Development/Languages
 License: MIT
 URL: http://github.com/wvanbergen/scoped_search/wiki
 Source0: https://rubygems.org/downloads/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}rubygems
-Requires: %{?scl_prefix}rubygem-activerecord >= 3.2.0
-BuildRequires: %{?scl_prefix}ruby
-BuildRequires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
+Requires: %{?scl_prefix_ruby}rubygem-activerecord >= 3.2.0
+BuildRequires: %{?scl_prefix_ruby}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(scoped_search) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 # for check section
 %if 0%{?fedora} > 21
-BuildRequires: %{?scl_prefix}rubygem(rspec) >= 3.0
-BuildRequires: %{?scl_prefix}rubygem(rspec) < 4.0
-BuildRequires: %{?scl_prefix}rubygem(activerecord)
-BuildRequires: %{?scl_prefix}rubygem(sqlite3)
+BuildRequires: %{?scl_prefix_ruby}rubygem(rspec) >= 3.0
+BuildRequires: %{?scl_prefix_ruby}rubygem(rspec) < 4.0
+BuildRequires: %{?scl_prefix_ruby}rubygem(activerecord)
+BuildRequires: %{?scl_prefix_ruby}rubygem(sqlite3)
 %endif
 
 %description
@@ -49,6 +50,7 @@ or by a large user base.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -233,4 +235,3 @@ popd
 * Thu Aug 09 2012 Miroslav Suchý <msuchy@redhat.com> 2.3.7-1
 - edit rubygem-scoped_search.spec according guidelines (msuchy@redhat.com)
 - import rubygem-scoped_search.spec from foreman-rpms (msuchy@redhat.com)
-
diff --git a/rubygem-secure_headers/rubygem-secure_headers.spec b/rubygem-secure_headers/rubygem-secure_headers.spec
index 1b471cfb6..0452abff4 100644
--- a/rubygem-secure_headers/rubygem-secure_headers.spec
+++ b/rubygem-secure_headers/rubygem-secure_headers.spec
@@ -14,22 +14,23 @@ URL: https://github.com/twitter/secureheaders
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Add easily configured browser headers to responses including content security
@@ -39,6 +40,7 @@ policy, x-frame-options, strict-transport-security and more.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -86,4 +88,3 @@ cp -a .%{gem_dir}/* \
 
 * Mon Oct 13 2014 Dominic Cleal <dcleal@redhat.com> 1.3.3-1
 - new package built with tito
-
diff --git a/rubygem-select2-rails/rubygem-select2-rails.spec b/rubygem-select2-rails/rubygem-select2-rails.spec
index dffac214a..139d6fbdc 100644
--- a/rubygem-select2-rails/rubygem-select2-rails.spec
+++ b/rubygem-select2-rails/rubygem-select2-rails.spec
@@ -12,18 +12,19 @@ Group: Development/Ruby
 License: MIT
 URL: https://github.com/argerim/select2-rails
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}rubygems
-Requires: %{?scl_prefix}rubygem(thor) >= 0.14
-Requires: %{?scl_prefix}rubygem(thor) < 1
+Requires: %{?scl_prefix_ruby}rubygems
+Requires: %{?scl_prefix_ruby}rubygem(thor) >= 0.14
+Requires: %{?scl_prefix_ruby}rubygem(thor) < 1
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Select2 is a jQuery based replacement for select boxes. It supports
@@ -33,6 +34,7 @@ integrates Select2 with Rails asset pipeline for ease of use.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -71,4 +73,3 @@ cp -a .%{gem_dir}/* \
 %changelog
 * Tue Jun 23 2015 Dominic Cleal <dcleal@redhat.com> 3.5.9.3-1
 - new package built with tito
-
diff --git a/rubygem-sequel/rubygem-sequel.spec b/rubygem-sequel/rubygem-sequel.spec
index 0b716d660..6e369626e 100644
--- a/rubygem-sequel/rubygem-sequel.spec
+++ b/rubygem-sequel/rubygem-sequel.spec
@@ -12,21 +12,22 @@ License: MIT
 URL: http://sequel.jeremyevans.net
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
 
-BuildRequires: %{?scl_prefix}ruby-devel
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 The Database Toolkit for Ruby
@@ -36,6 +37,7 @@ Summary: Documentation for %{pkg_name}
 Group: Documentation
 
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 This package contains documentation for %{pkg_name}.
diff --git a/rubygem-sexp_processor/rubygem-sexp_processor.spec b/rubygem-sexp_processor/rubygem-sexp_processor.spec
index 59002529c..f3b83a3aa 100644
--- a/rubygem-sexp_processor/rubygem-sexp_processor.spec
+++ b/rubygem-sexp_processor/rubygem-sexp_processor.spec
@@ -13,20 +13,21 @@ License: MIT
 URL: https://github.com/seattlerb/sexp_processor
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 sexp_processor branches from ParseTree bringing all the generic sexp
@@ -36,6 +37,7 @@ for your language processing pleasure.
 %package doc
 Summary: Documentation for %{pkg_name}
 Group: Documentation
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
 %description doc
 This package contains documentation for %{pkg_name}.
